#
# QCad
# (c) Q Solutions 1998
#
#
#
# demo mode sourcing
#


proc Source {name} {
	global Help
	global errorInfo
	catch {source "log.tk"}
	LogClear
	foreach s [glob -nocomplain *.tk *.tcl] {
		catch {uplevel #0 source $s} err
		Log "Source $s"
		if { $err != "" } {
			regsub -all "\n" $errorInfo "\n    " err
			Log "   $err"
			LogShow
		}
	}
	initSystemData
	if { $name != "" } {
		eventBind $name
	}
	ConfigLoad
	return ""
}







